Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.compiler
Class JType

    java.lang.Object
      org.apache.hadoop.record.compiler.JType

Direct Known Subclasses:
  JBoolean, JBuffer, JByte, JDouble, JFloat, JInt, JLong, JMap, JRecord, JString, JVector

    public abstract class JType

extends Object

Abstract Base class for all types supported by Hadoop Record I/O.

Constructor Summary
`JType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JType

    public JType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation